import { CopyOutlined, KeyOutlined } from "@ant-design/icons";
import { Button, Checkbox, Input } from "antd";
import React from "react";

import { Select } from "@/ui/Shared";

import styles from "./index.module.scss";

export const CustomRoomContent: React.FC = () => {
  return (
    <div className={styles.container}>
      <p>创建/加入私密房间</p>
      <div className={styles.clipboard}>
        <div className={styles.title}>
          房间密码
          <KeyOutlined />
        </div>
        <Input className={styles.input} type="text" />
        <Button icon={<CopyOutlined />} />
      </div>
      <div className={styles["digit-option"]}>
        <div className={styles.title}>初始LP</div>
        <Input className={styles.input} type="text" />
      </div>
      <div className={styles["digit-option"]}>
        <div className={styles.title}>初始手牌数</div>
        <Input className={styles.input} type="text" />
      </div>
      <div className={styles["digit-option"]}>
        <div className={styles.title}>每回合抽卡</div>
        <Input className={styles.input} type="text" />
      </div>
      <div className={styles["select-option"]}>
        <Select title="卡片允许" />
      </div>
      <div className={styles["select-option"]}>
        <Select title="决斗模式" />
      </div>
      <div className={styles["select-option"]}>
        <Select title="决斗规则" />
      </div>
      <Checkbox className={styles.check}>不检查卡组</Checkbox>
      <Checkbox className={styles.check}>不切洗卡组</Checkbox>
      <Checkbox className={styles.check}>40分自动加时</Checkbox>
    </div>
  );
};

export const CustomRoomFooter: React.FC = () => {
  return (
    <div className={styles.footer}>
      <Button className={styles.btn}>创建私密房间</Button>
      <Button className={styles.btn}>加入私密房间</Button>
    </div>
  );
};
